{$A+,B-,C+,D+,E-,F-,G+,H+,I+,J-,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y+,Z1}
{$MAXSTACKSIZE $3C00000}
{$APPTYPE CONSOLE}
type
 int = integer;
 real = extended;

var
 n, i : int; 

begin
assign(input,'heapsort.in');reset(input);
assign(Output,'heapsort.out');rewrite(output);
read(n);
for i := n downto 1 do
 begin
  write(i);
  if i <> 1 then
   write(' ');
 end;
end.